Skip to main content
GET
/
projects
/
{project_id}
Get project details
curl --request GET \
  --url https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id} \
  --header 'X-Api-Key: <x-api-key>'
import requests

url = "https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id}"

headers = {"X-Api-Key": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};

fetch('https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "project": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "identifier": "<string>",
    "client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "internal_notes": "<string>",
    "name": "<string>",
    "hourly_rate": 123,
    "flat_amount": 123,
    "status": "<string>",
    "flat_amount_with_currency": "<string>",
    "hourly_rate_with_currency": "<string>",
    "creator_name": "<string>",
    "currency": "<string>",
    "client": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "identifier": "<string>",
      "internal_notes": "<string>",
      "currency": "<string>",
      "status": "<string>"
    },
    "billing_method": "<string>",
    "fixed_price_project": true,
    "hourly_person_rate": true,
    "hourly_task_rate": true,
    "hourly_project_rate": true,
    "currency_symbol": "<string>",
    "recurring_invoice": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "enabled": true,
      "first_issue_date": "2023-12-25",
      "frequency": 123,
      "frequency_type": "<string>",
      "time_to_send": "<string>",
      "timezone": "<string>",
      "interval": "<string>"
    },
    "invoice_count": 123
  },
  "tasks": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "hourly_rate": 123,
      "deleted": true,
      "hourly_rate_with_currency": "<string>",
      "is_billable": true
    }
  ],
  "checklists": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "task_name": "<string>",
      "items": [
        "<string>"
      ],
      "required": [
        true
      ]
    }
  ]
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

project_id
string
required

Unique ID of the project for which you want to retrieve or update details. Refer to Getting the Project ID section for detailed instructions.

Response

200 - application/json

OK - Project details retrieved successfully

project
object
tasks
object[]
checklists
object[]